Bug 25145 - Removing a running HTTP Proxy from the tree is a small disaster.
Removing a running HTTP Proxy from the tree is a small disaster.
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
Nightly (Please specify date)
All All
: P3 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-12-02 17:17 UTC by Jordi Salvat i Alabart
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
for fixing the problem occuring when we rmove http proxy server from tree while the proxy server is running (438 bytes, text/plain)
2004-04-29 12:02 UTC, ApplabsTeam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jordi Salvat i Alabart 2003-12-02 17:17:28 UTC
If a running HTTP Proxy is removed from the tree, it will still be running...
and storing samples! Plus, of course, the proxy port will stay busy until you
quit JMeter.

We need to stop it and remove all tree event listeners.
Comment 1 ApplabsTeam 2004-04-29 12:00:32 UTC
I fixed this issue in my machine by changing Remove.java and now the 
above mentioned problem with Http Proxy Server is not appearing.

I attached a document containing the code changes made in Remove.java
Comment 2 ApplabsTeam 2004-04-29 12:02:47 UTC
Created attachment 11373 [details]
for fixing the problem occuring when we rmove http proxy server from tree while the proxy server is running
Comment 3 Sebb 2004-09-18 20:52:49 UTC
Applied fix to CVS 2.0 branch
Comment 4 Sebb 2004-09-20 10:11:28 UTC
Oops! the change works, but fails to build in Ant, because Remove.java is built
before the Proxy, and thus does not have the Proxy on the classpath.

Rather than use Reflection or reorganise the build, I'll add a canRemove()
method to Test Elements, with a default of true. Any test elements that need to
do clean-up can then do it and return true, or just return false. Remove can
display a message if canRemove() returns false.
Comment 5 Sebb 2004-09-21 01:02:18 UTC
Fix applied to CVS 2.0 - cannot now remove Proxy without first stopping it.